Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-4550

[SPIKE] tomcat on SLES

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: tomcat
    • Labels:
    • QA Risk Assessment:
      Needs Assessment

      Description

      Research level of effort for adding SLES 12 support to the tomcat module

      platform pass?
      sles 11 - 2016.4 yes
      sles 11 - 2016.5 yes
      sles 11 - 2017.1 yes
      sles 12 - 2016.4 yes
      sles 12 - 2016.5 yes
      sles 12 - 2017.1 yes

      UPDATE: Issue with 2017.1 was resolved with a bundle update

      seeing this when testing against PE 2017.1

      bundler: failed to load command: rspec (/Users/eric.putnam/.rbenv/versions/2.3.1/bin/rspec)
      Beaker::Host::CommandFailure: Host 'yt74r5givb5fhle.delivery.puppetlabs.net' exited with 1 running:
       cd /tmp/2017-04-03_10.35.23.9JIz74/puppet-enterprise-2017.1.2-rc0-el-7-x86_64 && ./puppet-enterprise-installer -y -c /tmp/2017-04-03_10.35.23.9JIz74/pe.conf
      Last 10 lines of output were:
      	2017-04-03 10:35:57,674 Running command: chmod 755 /opt/puppetlabs/bin/puppet-enterprise-uninstaller
      	2017-04-03 10:35:57,677 Running command: /opt/puppetlabs/puppet/bin/puppet infrastructure configure  --detailed-exitcodes --modulepath /opt/puppetlabs/server/data/enterprise/modules
      	2017-04-03 10:36:00,822 - [Warning]: /etc/puppetlabs/enterprise/hiera.yaml: Use of 'hiera.yaml' version 3 is deprecated. It should be converted to version 5
      	   (in /etc/puppetlabs/enterprise/hiera.yaml)
      	2017-04-03 10:36:00,947 - [Error]: Evaluation Error: Error while evaluating a Function Call, Class[Puppet_enterprise]: expects a value for parameter $puppet_master_host  at line 1:1 on node yt74r5givb5fhle.delivery.puppetlabs.net
      	* /opt/puppetlabs/puppet/bin/puppet infrastructure configure  --detailed-exitcodes --modulepath /opt/puppetlabs/server/data/enterprise/modules
      	* returned: 1
      	2017-04-03 10:36:00,980 [ERROR]: !! There were problems during the application of the installation catalog. !!
      	2017-04-03 10:36:00,982 [ERROR]: !! Review the logs at /var/log/puppetlabs/installer/2017-04-03T10.35.26-0700.install.log and resolve any issues you can find. !!
      	2017-04-03 10:36:00,984 [ERROR]: !! After fixing any errors, re-run the installer to complete the installation or upgrade. !!
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-3.6.0/lib/beaker/host.rb:373:in `exec'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-3.6.0/lib/beaker/dsl/helpers/host_helpers.rb:83:in `block in on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-3.6.0/lib/beaker/shared/host_manager.rb:127:in `run_block_on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-3.6.0/lib/beaker/dsl/patterns.rb:37:in `block_on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-3.6.0/lib/beaker/dsl/helpers/host_helpers.rb:63:in `on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-pe-1.6.1/lib/beaker-pe/install/pe_utils.rb:478:in `block in do_install'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-pe-1.6.1/lib/beaker-pe/install/pe_utils.rb:431:in `each'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-pe-1.6.1/lib/beaker-pe/install/pe_utils.rb:431:in `do_install'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-pe-1.6.1/lib/beaker-pe/install/pe_utils.rb:798:in `block in install_pe_on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-3.6.0/lib/beaker/dsl/structure.rb:234:in `confine_block'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-pe-1.6.1/lib/beaker-pe/install/pe_utils.rb:781:in `install_pe_on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-puppet_install_helper-0.6.0/lib/beaker/puppet_install_helper.rb:49:in `run_puppet_install_helper_on'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/beaker-puppet_install_helper-0.6.0/lib/beaker/puppet_install_helper.rb:6:in `run_puppet_install_helper'
        /Users/eric.putnam/src/puppetlabs-tomcat/spec/spec_helper_acceptance.rb:5:in `<top (required)>'
        /Users/eric.putnam/src/puppetlabs-tomcat/spec/acceptance/acceptance_1a_spec.rb:1:in `require'
        /Users/eric.putnam/src/puppetlabs-tomcat/spec/acceptance/acceptance_1a_spec.rb:1:in `<top (required)>'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1435:in `load'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1435:in `block in load_spec_files'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1433:in `each'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1433:in `load_spec_files'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:100:in `setup'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:86:in `run'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:71:in `run'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:45:in `invoke'
        /Users/eric.putnam/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/rspec-core-3.5.4/exe/rspec:4:in `<top (required)>'
        /Users/eric.putnam/.rbenv/versions/2.3.1/bin/rspec:23:in `load'
        /Users/eric.putnam/.rbenv/versions/2.3.1/bin/rspec:23:in `<top (required)>'
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              eric.putnam Eric Putnam
              Reporter:
              eric.putnam Eric Putnam
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support